Subject: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Nathan Trapuzzano <[email-masked]>
Date: Fri, 10 Jan 2014 22:05:38 -0500

The various functions for examining text properties behave unintuitively
and incosistently at (point-max) on narrowed buffers.  Rather than
returning `nil', they return the prop(s) of the text at (point-max),
even though the text is not actually visible in the buffer, due to
narrowing.  By contrast, `char-after' always returns `nil' when passed
(point-max).  It seems to me the text property functions should also
return `nil', as they do at (eobp) on widened buffers.